Subject: Re: git-blame.el: what is format-spec?

From: Sergei Organov <[email-masked]>
Date: Fri, 04 Dec 2009 23:54:10 +0300

David Kågedal <[email-masked]> writes:

> Sergei Organov <[email-masked]> writes:
>
>> Andreas Schwab <[email-masked]> writes:
>>> Sergei Organov <[email-masked]> writes:
>>>
>>>> What is format-spec function in current git-blame.el? Neither my GNU
>>>> Emacs 22.2.1 nor Google knows anything about it.
>>>
>>> It's part of Emacs since more than 9 years, imported from Gnus.
>>>
>>
>> Thanks, I now see it in Gnus on my own computer, in
>> lisp/gnus/format-spec.el.gz.
>>
>> GNU Emacs 22.2.1 (i486-pc-linux-gnu, GTK+ Version 2.12.11) of 2008-11-10
>> on raven, modified by Debian 
>>
>> However, isn't it a bad idea to require Gnus(!) for git-blame to run? Gnus
>> is not installed on our server where I've encountered the problem. Was
>> format-spec actually moved to core emacs recently?
>
> That was not my intention when I posted the patch. I seem to recall that
> I asked for testing, in particular from users with older Emacsen than
> 23. But I got no response, and only recently discovered that the patch
> hade been accepted.
>
> format-spec is included in Emacs 23, and is a useful function.

Then there should be (require 'format-spec) in git-blame.el, right? Due
to:

$ emacs --version
GNU Emacs 23.1.1
[...]
$ emacs --batch -Q -f format-spec
Symbol's function definition is void: format-spec
$

Now, I've evaluated (require 'format-spec) in my Emacs 22 (yes, 22, not
23), and now git-blame almost works there. The problem I see is that it
doesn't output anything in the echo area. It color-codes the buffer, it
does show correct pop-up when mouse is over a region, but it doesn't
print anything in the echo area when I move cursor through the regions.
Any idea how to debug/fix this?

-- Sergei.